All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::spai::block_vector Class Reference

Represents a contiguous vector on the GPU to represent a concatentation of small vectors. More...

`#include <block_vector.hpp>`

## Public Member Functions

viennacl::ocl::handle< cl_mem > & | handle ()
| Return handle to the elements. More...
viennacl::ocl::handle< cl_mem > & | handle1 ()
| Return handle to start indices. More...
const viennacl::ocl::handle < cl_mem > & | handle () const
| Return handle to the const elements. More...
const viennacl::ocl::handle < cl_mem > & | handle1 () const
| Return handle to const start indices. More...

## Detailed Description

Represents a contiguous vector on the GPU to represent a concatentation of small vectors.

Definition at line 48 of file block_vector.hpp.

## Member Function Documentation

viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_vector::handle | ( |  | ) |

inline

Return handle to the elements.

Definition at line 55 of file block_vector.hpp.

const viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_vector::handle | ( |  | ) | const

inline

Return handle to the const elements.

Definition at line 63 of file block_vector.hpp.

viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_vector::handle1 | ( |  | ) |

inline

Return handle to start indices.

Definition at line 58 of file block_vector.hpp.

const viennacl::ocl::handle<cl_mem>& viennacl::linalg::detail::spai::block_vector::handle1 | ( |  | ) | const

inline

Return handle to const start indices.

Definition at line 66 of file block_vector.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/spai/block_vector.hpp